:root {
    --gold1: #FFC46B;
    --gold2: #8C580A;
    --darkblue: #00001a;
    --blue: #00a5c2;
    --purple: #7233ff;
}

*,
*::after,
*::before {
    box-sizing: border-box;
}

body{
    margin: 0;
    font-family: "Raleway", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.wrapper {
    margin: 0 auto;
}

/* Navigation bar */

nav {
    background: var(--darkblue);
    display: flex;
    height: 80px;
    width: 100%;
    justify-content: center;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 100;
}

.navcontainer {
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    margin: 0 auto;
    padding: 0 150px;
}

#navbrand {
    background-color: #00001a;
    background-image: linear-gradient(to right, var(--gold1), var(--gold2));
    background-size: 100%;
    font-weight: bold;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 30px;
    margin-top: 8px;
    white-space: nowrap;
}

#navlogo {
    height: 80px;
    width: 80px;
    margin-top: 3px;
    margin-right: 20px;
}

.navmenu {
    display: flex;
    align-items: center;
    list-style: none;
    text-align: center;
}

.navitem {
    height: 20px;
    font-family: "Outfit", sans-serif;
    font-size: 20px;
    text-decoration: none;
    color: #fff;
}

.navlink {
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding: 0 25px;
    height: 100%;
}

.btn {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    height: 50px; 
    width: 100%;
    font-family: "Outfit", sans-serif;
    font-size: 20px;
    text-decoration: none;
    color: #fff;
    border-radius: 4px;
    background: linear-gradient(to right, #7233ff 0%, #00a5c2 100%);
}

.nav btn {
    display: flex;
    justify-content: center;
    align-self: center;
    align-items: center;
    padding: 10px 20px;
    height: 50px;
    width: 150px;
}

.navlink:hover {
    color: #00a5c2;
    transition: all 0.3s ease;
}

@media screen and (max-width: 1100px) {
    .navcontainer {
        display: flex;
        justify-content: space-between;
        height: 80px;
        z-index: 1;
        width: 100%;
        max-width: 1300px;
        padding: 0;
    }

    .navmenu {
        display: grid;
        grid-template-columns: auto;
        margin: 0;
        width: 100%;
        position: absolute;
        top: -1000px;
        opacity: 0;
        transition: all 0.5s ease;
        height: 50vh;
        z-index: -1;
    }

    .navmenu.active {
        background: #00001a;
        top: 100%;
        opacity: 1;
        transition: all 0.5s ease;
        z-index: 99;
        height: 50vh;
        font-size: 1.6rem;
    }

    #navlogo {
        padding-left: 25px;
    }

    .navtoggle .bar {
        width: 25px;
        height: 3px;
        margin: 5px auto;
        transition: all 0.3s ease-in-out;
        background: #fff
    }

    .navitem {
        width: 100%;
    }

    .navlink {
        text-align: center;
        padding: 2rem;
        width: 100%;
        display: table;
    }

    #mobilemenu {
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    .navbtn {
        padding-bottom: 2rem;
    }

    .btn {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 80%;
        height: 80px;
        margin: 0;
        font-family: "Outfit", sans-serif;
        font-size: 20px;
        text-decoration: none;
        color: #fff;
    }

    .navtoggle .bar {
        display: block;
        cursor: pointer;
    }

    #mobilemenu.is-active .bar:nth-child(2) {
        opacity: 0;
    }

    #mobilemenu.is-active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    #mobilemenu.is-active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }
}

/* Hero section */

.hero {
    display: flex;
    height: 40vh;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    background-color: var(--darkblue);
    z-index: 0;
}

#stars {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.herocontainer {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-self: center;
    margin: 0 auto;
    height: 100vh;
    z-index: 1;
    width: 100%;
    padding: 0px 150px;
    margin-top: 300px;
}

.herocontainer .left h1 {
    font-family: "Ubuntu", sans-serif;
    font-weight: 500;
    font-size: 80px;
    background-color: #00001a;
    background-image: linear-gradient(to right, var(--blue), var(--purple));
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.herocontainer .left h2 {
    font-family: "Ubuntu", sans-serif;
    font-weight: 500;
    font-size: 80px;
    background-color: #00001a;
    background-image: linear-gradient(to right, var(--gold1), var(--gold2));
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
    margin-top: -60px;
    margin-bottom: -20px;
}

.herocontainer .left {
    max-width: 100%;
}

.herocontainer .left p {
    font-family: "Raleway", sans-serif;
    font-size: 30px;
    color: #fff;
    margin-top: 60px;
    margin-bottom: 20px;
}

.herocontainer img {
    width: 90%;
    height: auto;
    vertical-align: middle;
}

.herocontainer .right {
    margin-top: 50px;
    align-items: center;
}

.herocontainer .rightimg--container {
    text-align: center;
}

@media screen and (max-width: 1100px) {
    .herocontainer {
        display: grid;
        grid-template-columns: auto;
        align-items: center;
        justify-self: center;
        width: 100%;
        margin: 0 auto;
        height: 90vh;
    }

    .herocontainer .left {
        text-align: center;
        margin-bottom: 4rem;
    }

    .herocontainer .left h1 {
        font-size: 32px;
        margin-top: 2rem;
    }

    .herocontainer .left h2 {
        font-size: 32px;
    }

    .herocontainer .left p {
        margin-top: 1rem;
        font-size: 16px;
    }
}

@media screen and (max-width: 480px) {

    .herocontainer .left h1 {
        font-size: 32px;
        margin-top: 3rem;
    }

    .herocontainer .left h2 {
        font-size: 32px;
    }

    .herocontainer .left p {
        margin-top: 2rem;
        font-size: 16px;
    }
}

.btn.main {
    background: linear-gradient(to right, var(--blue), var(--purple));
}

.btn:hover {
    background: #7233ff;
    transition: all 0.3s ease;
    cursor: pointer;
}